#include <stdio.h>
#include <assert.h>

int main() {
    FILE *fr, *fw;
    int N;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    fscanf(fr, "%d", &N);

    // init counters
    int G[101];
    for(int i = 0; i <= 100; i++) G[i] = 0;

    // update counters
    for(int i = 0, x; i < N; i++) {
        fscanf(fr, "%d", &x);
        G[x]++;
    }

    // counting sort
    fprintf(fw, "%d ", G[100]);
    for(int i = 99; i >= 0; i--) {
        G[i] += G[i+1];
        fprintf(fw, "%d ", G[i]);
    }

    fclose(fr);
    fclose(fw);
    return 0;
}
