#include <stdio.h>
#include <assert.h>
#include <algorithm>
#include <climits>

using namespace std;

#define MAXN 1000000

int spread(int N, int K, int H[]) {
    sort(H, H+N);   // sort by increasing height
    K--;            // we are gonna looking a window of size K
    int res = INT_MAX;
    for(int i = K; i < N; i++) res = min(res, H[i] - H[i-K]);
    return res;
}


int H[MAXN];

int main() {
    FILE *fr, *fw;
    int N, K, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(2 == fscanf(fr, "%d %d", &N, &K));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &H[i]));

    fprintf(fw, "%d\n", spread(N, K, H));
    fclose(fr);
    fclose(fw);
    return 0;
}
